Bug 800026 - Order of sub tabs changes in resource view
Order of sub tabs changes in resource view
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
medium Severity low (vote)
: ---
: RHQ 4.4.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2012-03-05 11:03 EST by John Sanda
Modified: 2013-09-01 06:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:10:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2012-03-05 11:03:12 EST
Description of problem:
This is basically the same problem as bug 781602. I am logging it separately though since different code is involved and each can be verified independently. The order of sub tabs in the resource view is not consistent. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Import RHQ server into inventory.
2. Select the RHQ server in the resource tree.
3. Click on the monitoring tab. Note the order of the sub tabs.
4. Click on the Alert Subsystem child service.
5. Now click on the parent RHQ server again in the resource tree. The order of the monitoring sub tabs is different.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike Foley 2012-03-05 11:45:28 EST
per triage meeting (crouch, loleary, foley).  medium.  no target release.
Comment 2 John Sanda 2012-03-07 13:52:14 EST
A fix has been committed to master. Although sub tabs are implemented differently than top-level tabs, the solution is basically the same.


commit hash: 1765784cd847ba3fe03761202c5d7f4a3ba9a169
Comment 3 Heiko W. Rupp 2013-09-01 06:10:05 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.